/*
 * Copyright (c) 2015 Tricoire Sebastien 3dsman@free.fr
 *
 * This software is provided 'as-is', without any express or implied
 * warranty.  In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 * claim that you wrote the original software. If you use this software
 * in a product, an acknowledgment in the product documentation would be
 * appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 * misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 *
 */

#ifndef OE_THREAD_H
#define OE_THREAD_H


class OE_thread
{
	public:
		OE_thread();
		~OE_thread();
		
		OE_thread(unsigned char color[], float width);
		OE_thread(unsigned char r, unsigned char g, unsigned char b, float width);

		unsigned char * getColor();
		void  setColor(unsigned char r, unsigned char g, unsigned char b);
		void  setWidth(float width);
		float getWidth();
		
		static float defaultWidth;
		static unsigned char defaultColor[4];
		
	protected:
		float width;
		unsigned char color[4];

};

#endif // OE_THREAD_H
