/*
 * Copyright (c) 2015 Tricoire Sebastien 3dsman@free.fr
 *
 * This software is provided 'as-is', without any express or implied
 * warranty.  In no event will the authors be held liable for any damages
 * arising from the use of this software.
 *
 * Permission is granted to anyone to use this software for any purpose,
 * including commercial applications, and to alter it and redistribute it
 * freely, subject to the following restrictions:
 *
 * 1. The origin of this software must not be misrepresented; you must not
 * claim that you wrote the original software. If you use this software
 * in a product, an acknowledgment in the product documentation would be
 * appreciated but is not required.
 * 2. Altered source versions must be plainly marked as such, and must not be
 * misrepresented as being the original software.
 * 3. This notice may not be removed or altered from any source distribution.
 *
 */

#ifndef OE_START_H
#define OE_START_H

#include "instructions/OE_instruction.h"

class OE_start : public OE_instruction
{
    public:
        /** Default constructor */
        OE_start(int index, unsigned char * color);
        /** Default destructor */
        virtual ~OE_start();
		
		unsigned char * getThreadColor();
		
		
	protected:
	
		unsigned char threadColor[4];

    private:
		
};

#endif // OE_START_H
